VERSION 5.00
Begin VB.Form frmCommands 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Create a Command"
   ClientHeight    =   3210
   ClientLeft      =   45
   ClientTop       =   495
   ClientWidth     =   4680
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmCommands.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3210
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2280
      TabIndex        =   7
      Top             =   2760
      Width           =   1215
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "Add"
      Height          =   375
      Left            =   840
      TabIndex        =   6
      Top             =   2760
      Width           =   1215
   End
   Begin VB.TextBox txtCommand 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   975
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   5
      Top             =   1680
      Width           =   4335
   End
   Begin VB.ComboBox cmbCmds 
      Height          =   360
      ItemData        =   "frmCommands.frx":0442
      Left            =   120
      List            =   "frmCommands.frx":044F
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   480
      Width           =   2415
   End
   Begin VB.CommandButton cmdBrowse 
      Caption         =   "Browse..."
      Height          =   375
      Left            =   3480
      TabIndex        =   1
      Top             =   960
      Width           =   1095
   End
   Begin VB.TextBox txtFileName 
      Height          =   360
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   0
      Top             =   960
      Width           =   3135
   End
   Begin VB.Label Label2 
      Caption         =   "Command Preview"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   1440
      Width           =   1815
   End
   Begin VB.Label Label1 
      Caption         =   "Select a Command"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   1935
   End
End
Attribute VB_Name = "frmCommands"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmbCmds_Click()
    Select Case cmbCmds.ListIndex
        Case 0
            cmdBrowse.Enabled = True
        Case 1
            cmdBrowse.Enabled = False
            tempText = InputBox("Type in your remark", "Add a comment")
            
            If Trim(tempText) > "" Then
                command = "echo " & tempText & vbNewLine
                txtCommand.Text = command
                cmdAdd.Enabled = True
            End If
        Case 2
            command = "Exit" & vbNewLine
            txtCommand.Text = command
            cmdBrowse.Enabled = False
            cmdAdd.Enabled = True
    End Select
End Sub

Private Sub cmdAdd_Click()
    frmMain.mnuSave.Enabled = True
    frmMain.tools.Buttons(3).Enabled = True
    Select Case cmbCmds.ListIndex
    Case 0
    
    frmMain.lstCommands.AddItem "Open Program/File." & Space(3) & fileName
    frmMain.txtFile.Text = frmMain.txtFile.Text & command
    
    Case 1
        frmMain.lstCommands.AddItem "Show Remark: " & Chr(34) & tempText & Chr(34)
        frmMain.txtFile = frmMain.txtFile.Text & command
    Case 2
        frmMain.lstCommands.AddItem "Exit Batch file"
        frmMain.txtFile.Text = frmMain.txtFile.Text & command
    End Select
    Unload Me
End Sub

Private Sub cmdBrowse_Click()
    frmBrowse.Show vbModal, frmCommands
    If fileSelected = True Then
        
        frmCommands.txtCommand.Text = command
        cmdAdd.Enabled = True
        txtFileName.Text = filePath
    Else
        frmCommands.txtCommand.Text = ""
    End If
    
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub Form_Load()
    txtCommand.Text = ""
    cmdBrowse.Enabled = False
    cmdAdd.Enabled = False
End Sub
